.Date { background-color: azure; width: 120px; border: 1px solid black; padding: 2px; margin: 5px; margin-left:200px; }
.Post { background-color: lightgrey; width: 700px; border: 2px solid black; padding: 5px; margin: 20px; margin-left:200px; }
.Banner { width:1228px; border:0px; padding: 0px; margin-left:200px}
.Sidebarbuttons { background-color: darkblue; width: 200px; border:2px white; margin-bottom: 2px; margin-top:2px; }
.Topbar { background-color: blue; width: 110%; border:1px black; margin: 0px; }
.sidenav {
  height: 100%;      
  width: 200px;      
  position: fixed;   
  z-index: 1;        
  top: 0;           
  left: 0;
  background-color: gainsboro;
  padding-top: 20px;
}

.main-content {
  margin-left: 200px; 
  padding: 20px;
}
<style>
a:link {
  color: white;
  background-color: transparent;
  text-decoration: none;
}

a:visited {
  color: white;
  background-color: transparent;
  text-decoration: none;
}

a:hover {
  color: white;
  background-color: transparent;
  text-decoration: underline;
}
</style>
